import * as React from 'react';
import {
    Container,
    Popup,
    Menu,
    Icon,
    Label,
} from 'semantic-ui-react';
import Member from '@overflow/member/api/model/Member';
import Notification from '../Notification';

export interface StateProps {
    count: number;
}

export interface DispatchProps {
    onReadUnconfirmedCount(member: Member): void;
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class NotificationBadge extends React.Component<Props, State> {

    constructor(props: Props, context: State) {
        super(props, context);
        this.state = {
        };
    }
    public componentWillMount(): void {
        const member: Member = {
            id: 1,
        };
        this.props.onReadUnconfirmedCount(member);
    }


    public render(): JSX.Element {
        let icon =
            <Menu.Item position='right'>
                <Icon name='bell' />
                <Label color='red'>{this.props.count}</Label>
            </Menu.Item>;

        return (
            <Container fluid>
                <Popup trigger={icon} on='click' wide >
                    <Notification />
                </Popup>
            </Container>
        );
    }
}
